From ad1b36e14f266509d150c4ab3c026853ec13be7b Mon Sep 17 00:00:00 2001
From: Janne Grunau <janne-fdr@jannau.net>
Date: Apr 30 2025 22:25:58 +0000
Subject: Bump to mesa-asahi-20250425


---

diff --git a/mesa-asahi-flatpak.spec b/mesa-asahi-flatpak.spec
index 2d36916..f12df08 100644
--- a/mesa-asahi-flatpak.spec
+++ b/mesa-asahi-flatpak.spec
@@ -1,4 +1,4 @@
-%global asahi_mesa_ver 20250221
+%global asahi_mesa_ver 20250425
 %global git_tag asahi-%{asahi_mesa_ver}
 %global basever 25.1.0
 %global ver %{basever}-asahipre%{asahi_mesa_ver}
@@ -11,6 +11,7 @@
 %global spirv_llvm_translator_ver v18.1.2
 %global meson_ver 1.5.0
 %global pyyaml_ver 6.0.2
+%global wl_procols_ver 1.41
 
 Name:           mesa-asahi-%{sdk_ver}-flatpak
 Summary:        Mesa graphics libraries Flatpak overlay
@@ -29,6 +30,7 @@ Source13:        https://github.com/KhronosGroup/SPIRV-Tools/archive/refs/tags/%
 Source14:        https://github.com/llvm/llvm-project/archive/refs/tags/%{libclc_ver}.tar.gz
 Source15:        https://files.pythonhosted.org/packages/d6/97/852cc27c460d5fae07c6d7e4a2744f5684760358de3456b5ee9f130b8f57/meson-%{meson_ver}.tar.gz
 Source16:        https://files.pythonhosted.org/packages/54/ed/79a089b6be93607fa5cdaedf301d7dfb23af5f25c398d5ead2525b063e17/pyyaml-%{pyyaml_ver}.tar.gz
+Source17:        https://gitlab.freedesktop.org/wayland/wayland-protocols/-/releases/%{wl_procols_ver}/downloads/wayland-protocols-%{wl_procols_ver}.tar.xz
 
 Requires:       flatpak
 
@@ -55,6 +57,7 @@ sed \
   -e "s,\%SRC_LIBCLC,%SOURCE14,g" \
   -e "s,\%SRC_MESON,%SOURCE15,g" \
   -e "s,\%SRC_PYYAML,%SOURCE16,g" \
+  -e "s,\%SRC_WL_PROTOCOLS,%SOURCE17,g" \
   %SOURCE0 > org.freedesktop.Platform.GL.host.yml
 
 cp %SOURCE1 .
@@ -63,7 +66,7 @@ cat << EOF > mesa-asahi-version.patch
 --- a/VERSION
 +++ b/VERSION
 @@ -1 +1 @@
--%{basever}-devel
+-25.1.0-rc2
 +%{basever}-asahi%{asahi_mesa_ver}
 EOF
 
@@ -100,6 +103,9 @@ ln -s share/glvnd share/vulkan %{buildroot}%{_sharedstatedir}/flatpak/extension/
 %{_sharedstatedir}/flatpak/extension/org.freedesktop.Platform.GL.host/
 
 %changelog
+* Wed Apr 30 2025 Janne Grunau <janne-fdr@jannau.net> - 25.1.0~asahipre20250425-1
+- Bump to mesa-asahi-20250425
+
 * Fri Feb 28 2025 Janne Grunau <janne-fdr@jannau.net> - 25.1.0~asahipre20250221-1
 - Bump to mesa-asahi-20250221
 
diff --git a/org.freedesktop.Platform.GL.host.yml b/org.freedesktop.Platform.GL.host.yml
index 616b7e8..fd27bfe 100644
--- a/org.freedesktop.Platform.GL.host.yml
+++ b/org.freedesktop.Platform.GL.host.yml
@@ -186,7 +186,7 @@ modules:
       - -Db_ndebug=true
       - -Db_lto=false
       - -Dplatforms=x11,wayland
-      - -Dgallium-drivers=swrast,virgl,asahi
+      - -Dgallium-drivers=llvmpipe,virgl,asahi
       - -Dvulkan-drivers=swrast,asahi
       - -Dvulkan-layers=device-select
 
@@ -203,7 +203,6 @@ modules:
       - -Dglx=dri
       - -Dlibunwind=disabled
       - -Dllvm=enabled
-      - -Dosmesa=true
       - -Dshared-glapi=enabled
       - -Dmicrosoft-clc=disabled
       - -Dvalgrind=enabled
@@ -213,6 +212,9 @@ modules:
         path: %SRC_MESA
       - type: patch
         path: mesa-asahi-version.patch
+      - type: file
+        path: %SRC_WL_PROTOCOLS
+        dest: 'subprojects/packagecache'
 
   # We might need to make this do some arch-specific stuff later for i386 builds, but as of the time of writing we only do 64-bit builds so we'll be fine.
   - name: llvm
diff --git a/sources b/sources
index 48c1410..ba32c3b 100644
--- a/sources
+++ b/sources
@@ -1,7 +1,8 @@
-SHA512 (mesa-asahi-20250221.tar.gz) = 2d2070582a2a5be90bbc437a51106aa677c191717877150e1351f714dd140a698326149b140f25216e8071202dba7a99cbda40299e9414f40b6ae01e41289d89
+SHA512 (mesa-asahi-20250425.tar.gz) = 0017eff794de820798fedbed7874b7efde365b468472a15ace6a07bab76d50cdfd08fda7d57a59699823eb99bf5aacd37214b85dbb99d6b0135c5b69185b51b2
 SHA512 (llvmorg-18.1.8.tar.gz) = a2b5e4d52dbddc47b4e10e3c8acb1b04b7ef97b723d160d591cb83ccff6edc0433a2dbca55074d42b533b406647b34dc0df1791b6a33879902addbe67735d1cc
 SHA512 (meson-1.5.0.tar.gz) = f0a25cf134949739c698eddaea602bf7852866b3fee3d2c11c1e6b6e48c944cf92abc3d171a2e42e21077edc01f1e7079d451f5624e2b6131382e114e814db3e
 SHA512 (pyyaml-6.0.2.tar.gz) = a675e0056bb6af9119c7f2796e349ced05afca64118a5b444d66dafcb6a774cf274eeba7eab044b86eb6c12a9d7c785c654f6cf229e1d190340dd06ea76e25ec
 SHA512 (v18.1.2.tar.gz) = 889cdc0960f6029129dad62f7afe6f61b51bed9d8fb9fa6b743318e2243252dce62cbacf71a2b56decec24ce37746b4b4787dd426ad76e2feb74e1781cb070c8
 SHA512 (v2024.4.rc2.tar.gz) = 0545754c800884ed0605401188b2a536f41b09db97dc2bdac5a1fa21444f1f13860c45760dc99364b336012b98f0cee2d083d46243739a6b9cdc1be824506eaa
 SHA512 (vulkan-sdk-1.4.304.1.tar.gz) = 5d9210e32e4bad681951646857afa59698455618c79713eb5a98f785317ca2965b9640f1fce3e1ca6650e847a4a74688d12ebc2b5943f336df0163feea67acc2
+SHA512 (wayland-protocols-1.41.tar.xz) = 6122fe4f20a1a0908abd631ff31302b56018050e5e835c1413d5b40a527980c30859ed9cddf595213f7d5eb1d50baaf6adc312cef9279d60b8a15e447e259863

